curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"shop_url":"https://www.tiktok.com/@techgadgets/shop","num_of_products":25}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m45m1u911dsa4274pi¬ify=false&include_errors=true&type=discover_new&discover_by=shop_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m45m1u911dsa4274pi",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "shop_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"shop_url": "https://www.tiktok.com/@techgadgets/shop",
"num_of_products": 25,
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m45m1u911dsa4274pi",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "shop_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
shop_url: "https://www.tiktok.com/@techgadgets/shop",
num_of_products: 25,
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"url": "https://www.tiktok.com/view/product/1732000000000000000",
"title": "Smart Watch Fitness Tracker",
"price": 39.99,
"currency": "USD",
"rating": 4.6,
"reviews_count": 3400,
"seller_name": "TechGadgets Official",
"seller_url": "https://www.tiktok.com/@techgadgets",
"description": "Fitness tracker with heart rate monitor, sleep tracking, and 7-day battery life.",
"images": [
"https://p16-oec-ttp.tiktokcdn-us.com/example-product-1.jpeg"
],
"category": "Electronics > Wearables > Smartwatches"
}
]
TikTok
Discover TikTok Shop products by shop
Discover TikTok Shop products sold by a shop URL with the Bright Data Scraper API. Send POST /datasets/v3/scrape with dataset_id gd_m45m1u911dsa4274pi.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"shop_url":"https://www.tiktok.com/@techgadgets/shop","num_of_products":25}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m45m1u911dsa4274pi¬ify=false&include_errors=true&type=discover_new&discover_by=shop_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m45m1u911dsa4274pi",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "shop_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"shop_url": "https://www.tiktok.com/@techgadgets/shop",
"num_of_products": 25,
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m45m1u911dsa4274pi",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "shop_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
shop_url: "https://www.tiktok.com/@techgadgets/shop",
num_of_products: 25,
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"url": "https://www.tiktok.com/view/product/1732000000000000000",
"title": "Smart Watch Fitness Tracker",
"price": 39.99,
"currency": "USD",
"rating": 4.6,
"reviews_count": 3400,
"seller_name": "TechGadgets Official",
"seller_url": "https://www.tiktok.com/@techgadgets",
"description": "Fitness tracker with heart rate monitor, sleep tracking, and 7-day battery life.",
"images": [
"https://p16-oec-ttp.tiktokcdn-us.com/example-product-1.jpeg"
],
"category": "Electronics > Wearables > Smartwatches"
}
]
Query Parameters
string
default:"gd_m45m1u911dsa4274pi"
required
The dataset ID used for this request.
Must be set to
gd_m45m1u911dsa4274pi to collect Discover by Shop data.string
default:"discover_new"
Must be set to
discover_new.string
default:"shop_url"
Must be set to
shop_url.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"shop_url":"https://www.tiktok.com/@techgadgets/shop","num_of_products":25}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m45m1u911dsa4274pi¬ify=false&include_errors=true&type=discover_new&discover_by=shop_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m45m1u911dsa4274pi",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "shop_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"shop_url": "https://www.tiktok.com/@techgadgets/shop",
"num_of_products": 25,
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m45m1u911dsa4274pi",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "shop_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
shop_url: "https://www.tiktok.com/@techgadgets/shop",
num_of_products: 25,
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"url": "https://www.tiktok.com/view/product/1732000000000000000",
"title": "Smart Watch Fitness Tracker",
"price": 39.99,
"currency": "USD",
"rating": 4.6,
"reviews_count": 3400,
"seller_name": "TechGadgets Official",
"seller_url": "https://www.tiktok.com/@techgadgets",
"description": "Fitness tracker with heart rate monitor, sleep tracking, and 7-day battery life.",
"images": [
"https://p16-oec-ttp.tiktokcdn-us.com/example-product-1.jpeg"
],
"category": "Electronics > Wearables > Smartwatches"
}
]
Was this page helpful?